List user authorizations for a client

GET https://api.ap1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clientshttps://api.ap2.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clientshttps://api.datadoghq.eu/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clientshttps://api.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clientshttps://api.us2.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clientshttps://api.uk1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clientshttps://api.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clientshttps://api.us3.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clientshttps://api.us5.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}/user_authorized_clients

개요

현재 조직의 지정된 OAuth2 클라이언트에 대한 사용자 승인 목록을 가져옵니다. This endpoint requires the org_authorized_apps_read permission.

OAuth apps require the org_authorized_apps_read authorization scope to access this endpoint.

인수

경로 파라미터

이름

유형

설명

org_authorized_client_id [required]

string

The ID of the org authorized client.

쿼리 문자열

이름

유형

설명

page[size]

integer

Number of items to return per page. The maximum allowed value is 100.

page[number]

integer

Specific page number to return.

sort

enum

Field to sort results by. Options: user.name, user.email, oauth2_client.name.
Allowed enum values: user.name, user.email, oauth2_client.name

filter[disabled]

string

Filter results by the user authorization disabled status.

filter[user][name]

string

Filter results by user name.

filter[user][email]

string

Filter results by user email.

filter[user][disabled]

string

Filter results by whether the user is disabled.

응답

OK

Response containing a list of user authorized clients.

Expand All

항목

유형

설명

data [required]

[object]

List of user authorized client data objects.

attributes [required]

object

Attributes of a user authorized client.

created_at [required]

date-time

The date and time this authorization was created.

disabled [required]

boolean

Whether the user has disabled this authorization.

last_exercised [required]

date-time

The date and time this authorization was last exercised.

modified_at [required]

date-time

The date and time this authorization was last modified.

org_disabled [required]

boolean

Whether the organization has disabled this authorization.

id [required]

string

The unique identifier of the user authorized client.

relationships [required]

object

Relationships for a user authorized client.

oauth2_client [required]

object

Relationship to the OAuth2 client that was authorized.

data [required]

object

Data identifying the OAuth2 client that was authorized.

id [required]

string

The ID of the OAuth2 client.

type [required]

enum

OAuth2 client resource type. Allowed enum values: oauth2_clients

scopes [required]

object

Relationship to the scopes granted to the OAuth2 client.

data [required]

[object]

List of scope relationship data objects.

id [required]

string

The identifier of the scope.

type [required]

enum

Scope resource type. Allowed enum values: scopes

user [required]

object

Relationship to the user who granted this authorization.

data [required]

object

Data identifying the user who granted this authorization.

id [required]

string

The ID of the user.

type [required]

enum

User resource type. Allowed enum values: users

type [required]

enum

The resource type for user authorized clients. Allowed enum values: user_authorized_clients

meta [required]

object

Object describing meta attributes of response.

page

object

Pagination object.

total_count

int64

Total count.

total_filtered_count

int64

Total count of elements matched by the filter.

{
  "data": [
    {
      "attributes": {
        "created_at": "2024-01-10T08:00:00+00:00",
        "disabled": false,
        "last_exercised": "2024-01-15T10:30:00+00:00",
        "modified_at": "2024-01-10T08:00:00+00:00",
        "org_disabled": false
      },
      "id": "00000000-0000-0000-0000-000000000001",
      "relationships": {
        "oauth2_client": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000010",
            "type": "oauth2_clients"
          }
        },
        "scopes": {
          "data": [
            {
              "id": "example_scope",
              "type": "scopes"
            }
          ]
        },
        "user": {
          "data": {
            "id": "00000000-0000-9999-0000-000000000001",
            "type": "users"
          }
        }
      },
      "type": "user_authorized_clients"
    }
  ],
  "meta": {
    "page": {
      "total_count": "integer",
      "total_filtered_count": "integer"
    }
  }
}

Authentication error

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 예시

                  # Path parameters
export org_authorized_client_id="00000000-0000-0000-0000-000000000001"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/org_authorized_clients/${org_authorized_client_id}/user_authorized_clients" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"
"""
List user authorizations for a client returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_authorized_clients_api import OrgAuthorizedClientsApi

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
with ApiClient(configuration) as api_client:
    api_instance = OrgAuthorizedClientsApi(api_client)
    response = api_instance.list_org_authorized_client_user_authorizations(
        org_authorized_client_id="00000000-0000-0000-0000-000000000001",
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# List user authorizations for a client returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
end
api_instance = DatadogAPIClient::V2::OrgAuthorizedClientsAPI.new
p api_instance.list_org_authorized_client_user_authorizations("00000000-0000-0000-0000-000000000001")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// List user authorizations for a client returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgAuthorizedClientsApi(apiClient)
	resp, r, err := api.ListOrgAuthorizedClientUserAuthorizations(ctx, "00000000-0000-0000-0000-000000000001", *datadogV2.NewListOrgAuthorizedClientUserAuthorizationsOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgAuthorizedClientsApi.ListOrgAuthorizedClientUserAuthorizations`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgAuthorizedClientsApi.ListOrgAuthorizedClientUserAuthorizations`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// List user authorizations for a client returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgAuthorizedClientsApi;
import com.datadog.api.client.v2.model.UserAuthorizedClientsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    OrgAuthorizedClientsApi apiInstance = new OrgAuthorizedClientsApi(defaultClient);

    try {
      UserAuthorizedClientsResponse result =
          apiInstance.listOrgAuthorizedClientUserAuthorizations(
              "00000000-0000-0000-0000-000000000001");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling"
              + " OrgAuthorizedClientsApi#listOrgAuthorizedClientUserAuthorizations");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// List user authorizations for a client returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_authorized_clients::ListOrgAuthorizedClientUserAuthorizationsOptionalParams;
use datadog_api_client::datadogV2::api_org_authorized_clients::OrgAuthorizedClientsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = OrgAuthorizedClientsAPI::with_config(configuration);
    let resp = api
        .list_org_authorized_client_user_authorizations(
            "00000000-0000-0000-0000-000000000001".to_string(),
            ListOrgAuthorizedClientUserAuthorizationsOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * List user authorizations for a client returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
const apiInstance = new v2.OrgAuthorizedClientsApi(configuration);

const params: v2.OrgAuthorizedClientsApiListOrgAuthorizedClientUserAuthorizationsRequest =
  {
    orgAuthorizedClientId: "00000000-0000-0000-0000-000000000001",
  };

apiInstance
  .listOrgAuthorizedClientUserAuthorizations(params)
  .then((data: v2.UserAuthorizedClientsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"